using System;
using System.IO;
using System.Text;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Collections;
using System.Collections.Generic;

namespace id.Quake.Files {
	public partial class QuakeC {

		[StructLayout(LayoutKind.Explicit)]
		public struct VariableValue {

			[FieldOffset(0)]
			public float Float;

			[FieldOffset(0)]
			public int Integer;

			public VariableValue(int value) {
				this.Float = default(float);
				this.Integer = value;
			}

			public VariableValue(float value) {
				this.Integer = default(int);
				this.Float = value;
			}

			public override string ToString() {
				return this.Float.ToString() + ", " + this.Integer.ToString();
			}
		}
	}
}
